package com.genlot.ninglottery.game.d3.bean;

import com.genlot.ninglottery.game.bet.BetNumber;
import com.genlot.ninglottery.toolkit.GameUtil;
import com.genlot.ninglottery.toolkit.StringTool;

import java.util.Set;

/**
 * @author ZhuYongKang
 * @description 类描述
 * @date 2019/10/11
 */
public class Box6Sum extends BoxSum {

    @Override
    public void random(int... args) {
        clear();
        //第一位
        Set<Integer> set1 = GameUtil.randomList(3, 24, 1);
        for (int i : set1) {
            BetNumber number = new BetNumber(StringTool.format2(i));
            number.setType(BetNumber.CHECKED);
            mList.add(number);
        }
    }

}
